# CrudOperationLimitable::limit

(No version information available, might only be in Git)

CrudOperationLimitable::limit — Set result limit

### Description

abstract public mysql_xdevapi\CrudOperationLimitable::limit ( integer `$rows` ) : mysql_xdevapi\CrudOperationLimitable

Sets the maximum number of records or documents to return.

Warning

This function is currently not documented; only its argument list is available.

### Parameters

`rows`

  The maximum number of records or documents.

### Return Values

A CrudOperationLimitable object.

### Examples

Example #1 mysql_xdevapi\CrudOperationLimitable::limit() example

`<?php
$res = $coll->find()->fields(['name as n','age as a','job as j'])->groupBy('j')->limit(11)->execute();
$res = $table->update()->set('age',69)->where('age > 15 and age < 22')->limit(4)->orderby(['age asc','name desc'])->execute();
?>`